<?xml version="1.0" encoding="UTF-8"?>
<testsuite xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="https://maven.apache.org/surefire/maven-surefire-plugin/xsd/surefire-test-report-3.0.xsd" version="3.0" name="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportPolymorphismCompositionTest" time="0.108" tests="9" errors="0" skipped="0" failures="0">
  <properties>
    <property name="awt.toolkit" value="sun.awt.X11.XToolkit"/>
    <property name="file.encoding.pkg" value="sun.io"/>
    <property name="java.specification.version" value="1.8"/>
    <property name="sun.cpu.isalist" value=""/>
    <property name="sun.jnu.encoding" value="UTF-8"/>
    <property name="java.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/test-classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql/target/stalactite-sql-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/reflection/1.1.2-SNAPSHOT/reflection-1.1.2-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.1-SNAPSHOT/tools-1.1.1-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/danekja/jdk-serializable-functional/1.8.2/jdk-serializable-functional-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-api/1.7.36/slf4j-api-1.7.36.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-collections4/4.4/commons-collections4-4.4.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/hsqldb/hsqldb/2.7.4/hsqldb-2.7.4-jdk8.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT-tests.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core-adapter/core-hsqldb-adapter/target/stalactite-core-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT-tests.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-reload4j/1.7.36/slf4j-reload4j-1.7.36.jar:/var/lib/jenkins/.m2/repository/ch/qos/reload4j/reload4j/1.2.19/reload4j-1.2.19.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-lang3/3.12.0/commons-lang3-3.12.0.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter/5.8.2/junit-jupiter-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-api/5.8.2/junit-jupiter-api-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/opentest4j/opentest4j/1.2.0/opentest4j-1.2.0.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-commons/1.8.2/junit-platform-commons-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/apiguardian/apiguardian-api/1.1.2/apiguardian-api-1.1.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-params/5.8.2/junit-jupiter-params-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-engine/5.8.2/junit-jupiter-engine-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-engine/1.8.2/junit-platform-engine-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.0/tools-1.1.0-tests.jar:/var/lib/jenkins/.m2/repository/com/google/code/findbugs/jsr305/3.0.2/jsr305-3.0.2.jar:/var/lib/jenkins/.m2/repository/org/mockito/mockito-core/4.3.1/mockito-core-4.3.1.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy/1.12.7/byte-buddy-1.12.7.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy-agent/1.12.7/byte-buddy-agent-1.12.7.jar:/var/lib/jenkins/.m2/repository/org/objenesis/objenesis/3.2/objenesis-3.2.jar:/var/lib/jenkins/.m2/repository/org/assertj/assertj-core/3.23.1/assertj-core-3.23.1.jar:"/>
    <property name="java.vm.vendor" value="Private Build"/>
    <property name="sun.arch.data.model" value="64"/>
    <property name="java.vendor.url" value="http://java.oracle.com/"/>
    <property name="user.timezone" value="Etc/UTC"/>
    <property name="java.vm.specification.version" value="1.8"/>
    <property name="os.name" value="Linux"/>
    <property name="user.country" value="FR"/>
    <property name="sun.java.launcher" value="SUN_STANDARD"/>
    <property name="sun.boot.library.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64"/>
    <property name="sun.java.command" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire/surefirebooter-20260519053109587_110.jar /jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire 2026-05-19T05-30-38_739-jvmRun1 surefire-20260519053109587_108tmp surefire_4-20260519053109587_109tmp"/>
    <property name="surefire.test.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/test-classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql/target/stalactite-sql-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/reflection/1.1.2-SNAPSHOT/reflection-1.1.2-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.1-SNAPSHOT/tools-1.1.1-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/danekja/jdk-serializable-functional/1.8.2/jdk-serializable-functional-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-api/1.7.36/slf4j-api-1.7.36.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-collections4/4.4/commons-collections4-4.4.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/hsqldb/hsqldb/2.7.4/hsqldb-2.7.4-jdk8.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT-tests.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core-adapter/core-hsqldb-adapter/target/stalactite-core-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT-tests.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-reload4j/1.7.36/slf4j-reload4j-1.7.36.jar:/var/lib/jenkins/.m2/repository/ch/qos/reload4j/reload4j/1.2.19/reload4j-1.2.19.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-lang3/3.12.0/commons-lang3-3.12.0.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter/5.8.2/junit-jupiter-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-api/5.8.2/junit-jupiter-api-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/opentest4j/opentest4j/1.2.0/opentest4j-1.2.0.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-commons/1.8.2/junit-platform-commons-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/apiguardian/apiguardian-api/1.1.2/apiguardian-api-1.1.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-params/5.8.2/junit-jupiter-params-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-engine/5.8.2/junit-jupiter-engine-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-engine/1.8.2/junit-platform-engine-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.0/tools-1.1.0-tests.jar:/var/lib/jenkins/.m2/repository/com/google/code/findbugs/jsr305/3.0.2/jsr305-3.0.2.jar:/var/lib/jenkins/.m2/repository/org/mockito/mockito-core/4.3.1/mockito-core-4.3.1.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy/1.12.7/byte-buddy-1.12.7.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy-agent/1.12.7/byte-buddy-agent-1.12.7.jar:/var/lib/jenkins/.m2/repository/org/objenesis/objenesis/3.2/objenesis-3.2.jar:/var/lib/jenkins/.m2/repository/org/assertj/assertj-core/3.23.1/assertj-core-3.23.1.jar:"/>
    <property name="sun.cpu.endian" value="little"/>
    <property name="user.home" value="/var/lib/jenkins"/>
    <property name="user.language" value="fr"/>
    <property name="java.specification.vendor" value="Oracle Corporation"/>
    <property name="java.home" value="/usr/lib/jvm/java-8-openjdk-amd64/jre"/>
    <property name="basedir" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm"/>
    <property name="file.separator" value="/"/>
    <property name="line.separator" value="&#10;"/>
    <property name="java.vm.specification.vendor" value="Oracle Corporation"/>
    <property name="java.specification.name" value="Java Platform API Specification"/>
    <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment"/>
    <property name="surefire.real.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire/surefirebooter-20260519053109587_110.jar:/var/lib/jenkins/.m2/repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar"/>
    <property name="sun.boot.class.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/resources.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/rt.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jsse.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jce.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/charsets.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jfr.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/classes"/>
    <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers"/>
    <property name="java.runtime.version" value="1.8.0_482-8u482-ga~us1-0ubuntu1~24.04-b08"/>
    <property name="user.name" value="jenkins"/>
    <property name="path.separator" value=":"/>
    <property name="os.version" value="6.8.0-107-generic"/>
    <property name="java.endorsed.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/endorsed"/>
    <property name="java.runtime.name" value="OpenJDK Runtime Environment"/>
    <property name="file.encoding" value="UTF-8"/>
    <property name="java.vm.name" value="OpenJDK 64-Bit Server VM"/>
    <property name="localRepository" value="/var/lib/jenkins/.m2/repository"/>
    <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/"/>
    <property name="java.io.tmpdir" value="/tmp"/>
    <property name="java.version" value="1.8.0_482"/>
    <property name="user.dir" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm"/>
    <property name="os.arch" value="amd64"/>
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification"/>
    <property name="java.awt.printerjob" value="sun.print.PSPrinterJob"/>
    <property name="sun.os.patch.level" value="unknown"/>
    <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib"/>
    <property name="java.vm.info" value="mixed mode"/>
    <property name="java.vendor" value="Private Build"/>
    <property name="java.vm.version" value="25.482-b08"/>
    <property name="java.specification.maintenance.version" value="6"/>
    <property name="java.ext.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext:/usr/java/packages/lib/ext"/>
    <property name="sun.io.unicode.encoding" value="UnicodeLittle"/>
    <property name="java.class.version" value="52.0"/>
  </properties>
  <testcase name="tablePerClass_joinedTables" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportPolymorphismCompositionTest" time="0.017">
    <system-out><![CDATA[2026-05-19 05:31:22	DEBUG	DDLDeployer	create table Car(model varchar(255), color int, id int not null, unique (id))
2026-05-19 05:31:22	DEBUG	DDLDeployer	create table ElectricCar(plug integer, id int not null, unique (id))
2026-05-19 05:31:22	DEBUG	DDLDeployer	alter table ElectricCar add constraint FK_ElectricCar_id_Car_id foreign key(id) references Car(id)
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	insert into Car(model, color, id) values (?, ?, ?) | {1={Car.model=Renault, Car.color=Color[rgb=666], Car.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	insert into ElectricCar(plug, id) values (?, ?) | {1={ElectricCar.plug=CCS, ElectricCar.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:22	TRACE	SQLOperation	select * from Car | {}
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismPersister	selecting entities [o.c.s.i.PersistableIdentifier@1]
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND org.codefilarete.stalactite.query.api.QueryStatement$PseudoColumn@26746170 In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Single query was asked but due to sub-polymorphism the query is made in 2 phases
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Finding entities in 2-phases query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND org.codefilarete.stalactite.query.api.QueryStatement$PseudoColumn@26746170 In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select AbstractVehicle.id as id, DISCRIMINATOR as DISCRIMINATOR from (select Car.id as id, 'Car' as DISCRIMINATOR from Car) as AbstractVehicle left outer join Car as Car on AbstractVehicle.id = Car.id where AbstractVehicle.id in (?) | {1=o.c.s.i.PersistableIdentifier@1}
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Asking sub-polymorphic persisters to load the entities
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismPersister	selecting entities [o.c.s.i.PersistedIdentifier@1]
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND Car.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select Car.model as Car_model, Car.color as Car_color, Car.id as Car_id, ElectricCar.plug as ElectricCar_plug, ElectricCar.id as ElectricCar_id from Car left outer join ElectricCar as ElectricCar on Car.id = ElectricCar.id where Car.id in (?) | {1=o.c.s.i.PersistedIdentifier@1}
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinTableRootJoinNode$JoinTablePolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	JoinTableRootJoinNode$JoinTablePolymorphicJoinRootRowConsumer	Instantiating entity of type class org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportPolymorphismTest$ElectricCar
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.FluentEntityMappingConfigurationSupportPolymorphismTest$ElectricCar#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	update Car set model = ?, color = ? where id = ? | {1={Car.model (U)=Peugeot, Car.color (U)=Color[rgb=666], Car.id (W)=o.c.s.i.PersistedIdentifier@1}}
2026-05-19 05:31:22	TRACE	SQLOperation	select * from Car | {}
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismPersister	selecting entities [o.c.s.i.PersistedIdentifier@1]
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND org.codefilarete.stalactite.query.api.QueryStatement$PseudoColumn@26746170 In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Single query was asked but due to sub-polymorphism the query is made in 2 phases
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Finding entities in 2-phases query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND org.codefilarete.stalactite.query.api.QueryStatement$PseudoColumn@26746170 In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select AbstractVehicle.id as id, DISCRIMINATOR as DISCRIMINATOR from (select Car.id as id, 'Car' as DISCRIMINATOR from Car) as AbstractVehicle left outer join Car as Car on AbstractVehicle.id = Car.id where AbstractVehicle.id in (?) | {1=o.c.s.i.PersistedIdentifier@1}
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Asking sub-polymorphic persisters to load the entities
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismPersister	selecting entities [o.c.s.i.PersistedIdentifier@1]
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND Car.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select Car.model as Car_model, Car.color as Car_color, Car.id as Car_id, ElectricCar.plug as ElectricCar_plug, ElectricCar.id as ElectricCar_id from Car left outer join ElectricCar as ElectricCar on Car.id = ElectricCar.id where Car.id in (?) | {1=o.c.s.i.PersistedIdentifier@1}
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinTableRootJoinNode$JoinTablePolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	JoinTableRootJoinNode$JoinTablePolymorphicJoinRootRowConsumer	Instantiating entity of type class org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportPolymorphismTest$ElectricCar
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.FluentEntityMappingConfigurationSupportPolymorphismTest$ElectricCar#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	delete from ElectricCar where id = ? | {1={ElectricCar.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	delete from Car where id = ? | {1={Car.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:22	TRACE	SQLOperation	select * from Car | {}
]]></system-out>
  </testcase>
  <testcase name="joinedTables_singleTable" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportPolymorphismCompositionTest" time="0.016">
    <system-out><![CDATA[2026-05-19 05:31:22	DEBUG	DDLDeployer	create table AbstractVehicle(id int not null, unique (id))
2026-05-19 05:31:22	DEBUG	DDLDeployer	create table Car(model varchar(255), color int, id int not null, plug integer, DTYPE varchar(255) not null, unique (id))
2026-05-19 05:31:22	DEBUG	DDLDeployer	alter table Car add constraint FK_Car_id_AbstractVehicle_id foreign key(id) references AbstractVehicle(id)
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	insert into AbstractVehicle(id) values (?) | {1={AbstractVehicle.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	insert into Car(plug, model, color, id, DTYPE) values (?, ?, ?, ?, ?) | {1={Car.id=o.c.s.i.PersistableIdentifier@1, Car.model=Renault, Car.color=Color[rgb=666], Car.DTYPE=CAR, Car.plug=CCS}}
2026-05-19 05:31:22	TRACE	SQLOperation	select * from car | {}
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismPersister	selecting entities [o.c.s.i.PersistableIdentifier@1]
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND AbstractVehicle.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Single query was asked but due to sub-polymorphism the query is made in 2 phases
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Finding entities in 2-phases query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND AbstractVehicle.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select AbstractVehicle.id as AbstractVehicle_id, Car.model as Car_model, Car.color as Car_color, Car.id as Car_id from AbstractVehicle left outer join Car as Car on AbstractVehicle.id = Car.id where AbstractVehicle.id in (?) | {1=o.c.s.i.PersistableIdentifier@1}
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Asking sub-polymorphic persisters to load the entities
2026-05-19 05:31:22	DEBUG	SingleTablePolymorphismPersister	selecting entities [o.c.s.i.PersistedIdentifier@1]
2026-05-19 05:31:22	DEBUG	SingleTablePolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND Car.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select Car.model as Car_model, Car.color as Car_color, Car.id as Car_id, Car.plug as Car_plug, Car.DTYPE as Car_DTYPE from Car where Car.id in (?) | {1=o.c.s.i.PersistedIdentifier@1}
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.SingleTableRootJoinNode$SingleTablePolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	update Car set plug = ?, model = ?, color = ? where id = ? | {1={Car.id (W)=o.c.s.i.PersistedIdentifier@1, Car.model (U)=Peugeot, Car.color (U)=Color[rgb=666], Car.plug (U)=CCS}}
2026-05-19 05:31:22	TRACE	SQLOperation	select * from car | {}
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismPersister	selecting entities [o.c.s.i.PersistedIdentifier@1]
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND AbstractVehicle.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Single query was asked but due to sub-polymorphism the query is made in 2 phases
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Finding entities in 2-phases query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND AbstractVehicle.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select AbstractVehicle.id as AbstractVehicle_id, Car.model as Car_model, Car.color as Car_color, Car.id as Car_id from AbstractVehicle left outer join Car as Car on AbstractVehicle.id = Car.id where AbstractVehicle.id in (?) | {1=o.c.s.i.PersistedIdentifier@1}
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Asking sub-polymorphic persisters to load the entities
2026-05-19 05:31:22	DEBUG	SingleTablePolymorphismPersister	selecting entities [o.c.s.i.PersistedIdentifier@1]
2026-05-19 05:31:22	DEBUG	SingleTablePolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND Car.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select Car.model as Car_model, Car.color as Car_color, Car.id as Car_id, Car.plug as Car_plug, Car.DTYPE as Car_DTYPE from Car where Car.id in (?) | {1=o.c.s.i.PersistedIdentifier@1}
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.SingleTableRootJoinNode$SingleTablePolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	delete from Car where id = ? | {1={Car.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	delete from AbstractVehicle where id = ? | {1={AbstractVehicle.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:22	TRACE	SQLOperation	select * from car | {}
]]></system-out>
  </testcase>
  <testcase name="tablePerClass_tablePerClass_isNotSupported" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportPolymorphismCompositionTest" time="0.003"/>
  <testcase name="tablePerClass_singleTable" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportPolymorphismCompositionTest" time="0.015">
    <system-out><![CDATA[2026-05-19 05:31:22	DEBUG	DDLDeployer	create table CAR(model varchar(255), color int, id int not null, plug integer, DTYPE varchar(255) not null, unique (id))
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	insert into CAR(plug, model, color, id, DTYPE) values (?, ?, ?, ?, ?) | {1={CAR.id=o.c.s.i.PersistableIdentifier@1, CAR.color=Color[rgb=666], CAR.DTYPE=ELECTRIC_CAR, CAR.plug=CCS, CAR.model=Renault}}
2026-05-19 05:31:22	TRACE	SQLOperation	select * from Car | {}
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismPersister	selecting entities [o.c.s.i.PersistableIdentifier@1]
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND org.codefilarete.stalactite.query.api.QueryStatement$PseudoColumn@5a02a5e5 In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Single query was asked but due to sub-polymorphism the query is made in 2 phases
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Finding entities in 2-phases query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND org.codefilarete.stalactite.query.api.QueryStatement$PseudoColumn@5a02a5e5 In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select AbstractVehicle.id as id, DISCRIMINATOR as DISCRIMINATOR from (select CAR.id as id, 'Car' as DISCRIMINATOR from CAR) as AbstractVehicle left outer join CAR as CAR on AbstractVehicle.id = CAR.id where AbstractVehicle.id in (?) | {1=o.c.s.i.PersistableIdentifier@1}
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Asking sub-polymorphic persisters to load the entities
2026-05-19 05:31:22	DEBUG	SingleTablePolymorphismPersister	selecting entities [o.c.s.i.PersistedIdentifier@1]
2026-05-19 05:31:22	DEBUG	SingleTablePolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND CAR.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select CAR.model as CAR_model, CAR.color as CAR_color, CAR.id as CAR_id, CAR.plug as CAR_plug, CAR.DTYPE as CAR_DTYPE from CAR where CAR.id in (?) | {1=o.c.s.i.PersistedIdentifier@1}
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.SingleTableRootJoinNode$SingleTablePolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	update CAR set plug = ?, model = ?, color = ? where id = ? | {1={CAR.id (W)=o.c.s.i.PersistedIdentifier@1, CAR.color (U)=Color[rgb=666], CAR.plug (U)=CCS, CAR.model (U)=Peugeot}}
2026-05-19 05:31:22	TRACE	SQLOperation	select * from Car | {}
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismPersister	selecting entities [o.c.s.i.PersistedIdentifier@1]
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND org.codefilarete.stalactite.query.api.QueryStatement$PseudoColumn@5a02a5e5 In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Single query was asked but due to sub-polymorphism the query is made in 2 phases
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Finding entities in 2-phases query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND org.codefilarete.stalactite.query.api.QueryStatement$PseudoColumn@5a02a5e5 In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select AbstractVehicle.id as id, DISCRIMINATOR as DISCRIMINATOR from (select CAR.id as id, 'Car' as DISCRIMINATOR from CAR) as AbstractVehicle left outer join CAR as CAR on AbstractVehicle.id = CAR.id where AbstractVehicle.id in (?) | {1=o.c.s.i.PersistedIdentifier@1}
2026-05-19 05:31:22	DEBUG	TablePerClassPolymorphismEntityFinder	Asking sub-polymorphic persisters to load the entities
2026-05-19 05:31:22	DEBUG	SingleTablePolymorphismPersister	selecting entities [o.c.s.i.PersistedIdentifier@1]
2026-05-19 05:31:22	DEBUG	SingleTablePolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND CAR.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select CAR.model as CAR_model, CAR.color as CAR_color, CAR.id as CAR_id, CAR.plug as CAR_plug, CAR.DTYPE as CAR_DTYPE from CAR where CAR.id in (?) | {1=o.c.s.i.PersistedIdentifier@1}
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.SingleTableRootJoinNode$SingleTablePolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	delete from CAR where id = ? | {1={CAR.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:22	TRACE	SQLOperation	select * from Car | {}
]]></system-out>
  </testcase>
  <testcase name="joinedTables_joinedTables" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportPolymorphismCompositionTest" time="0.019">
    <system-out><![CDATA[2026-05-19 05:31:22	DEBUG	DDLDeployer	create table AbstractVehicle(id int not null, unique (id))
2026-05-19 05:31:22	DEBUG	DDLDeployer	create table Car(model varchar(255), color int, id int not null, unique (id))
2026-05-19 05:31:22	DEBUG	DDLDeployer	create table ElectricCar(plug integer, id int not null, unique (id))
2026-05-19 05:31:22	DEBUG	DDLDeployer	alter table Car add constraint FK_Car_id_AbstractVehicle_id foreign key(id) references AbstractVehicle(id)
2026-05-19 05:31:22	DEBUG	DDLDeployer	alter table ElectricCar add constraint FK_ElectricCar_id_Car_id foreign key(id) references Car(id)
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	insert into AbstractVehicle(id) values (?) | {1={AbstractVehicle.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	insert into Car(model, color, id) values (?, ?, ?) | {1={Car.id=o.c.s.i.PersistableIdentifier@1, Car.color=Color[rgb=666], Car.model=Renault}}
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	insert into ElectricCar(plug, id) values (?, ?) | {1={ElectricCar.plug=CCS, ElectricCar.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:22	TRACE	SQLOperation	select * from abstractVehicle left outer join car on abstractVehicle.id = car.id | {}
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismPersister	selecting entities [o.c.s.i.PersistableIdentifier@1]
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND AbstractVehicle.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Single query was asked but due to sub-polymorphism the query is made in 2 phases
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Finding entities in 2-phases query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND AbstractVehicle.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select AbstractVehicle.id as AbstractVehicle_id, Car.model as Car_model, Car.color as Car_color, Car.id as Car_id from AbstractVehicle left outer join Car as Car on AbstractVehicle.id = Car.id where AbstractVehicle.id in (?) | {1=o.c.s.i.PersistableIdentifier@1}
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Asking sub-polymorphic persisters to load the entities
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismPersister	selecting entities [o.c.s.i.PersistedIdentifier@1]
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND Car.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select Car.model as Car_model, Car.color as Car_color, Car.id as Car_id, ElectricCar.plug as ElectricCar_plug, ElectricCar.id as ElectricCar_id from Car left outer join ElectricCar as ElectricCar on Car.id = ElectricCar.id where Car.id in (?) | {1=o.c.s.i.PersistedIdentifier@1}
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinTableRootJoinNode$JoinTablePolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	JoinTableRootJoinNode$JoinTablePolymorphicJoinRootRowConsumer	Instantiating entity of type class org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportPolymorphismTest$ElectricCar
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.FluentEntityMappingConfigurationSupportPolymorphismTest$ElectricCar#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	update Car set model = ?, color = ? where id = ? | {1={Car.id (W)=o.c.s.i.PersistedIdentifier@1, Car.color (U)=Color[rgb=666], Car.model (U)=Peugeot}}
2026-05-19 05:31:22	TRACE	SQLOperation	select * from abstractVehicle left outer join car on abstractVehicle.id = car.id | {}
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismPersister	selecting entities [o.c.s.i.PersistedIdentifier@1]
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND AbstractVehicle.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Single query was asked but due to sub-polymorphism the query is made in 2 phases
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Finding entities in 2-phases query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND AbstractVehicle.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select AbstractVehicle.id as AbstractVehicle_id, Car.model as Car_model, Car.color as Car_color, Car.id as Car_id from AbstractVehicle left outer join Car as Car on AbstractVehicle.id = Car.id where AbstractVehicle.id in (?) | {1=o.c.s.i.PersistedIdentifier@1}
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Asking sub-polymorphic persisters to load the entities
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismPersister	selecting entities [o.c.s.i.PersistedIdentifier@1]
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND Car.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select Car.model as Car_model, Car.color as Car_color, Car.id as Car_id, ElectricCar.plug as ElectricCar_plug, ElectricCar.id as ElectricCar_id from Car left outer join ElectricCar as ElectricCar on Car.id = ElectricCar.id where Car.id in (?) | {1=o.c.s.i.PersistedIdentifier@1}
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinTableRootJoinNode$JoinTablePolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	JoinTableRootJoinNode$JoinTablePolymorphicJoinRootRowConsumer	Instantiating entity of type class org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportPolymorphismTest$ElectricCar
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.FluentEntityMappingConfigurationSupportPolymorphismTest$ElectricCar#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	delete from ElectricCar where id = ? | {1={ElectricCar.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	delete from Car where id = ? | {1={Car.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	delete from AbstractVehicle where id = ? | {1={AbstractVehicle.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:22	TRACE	SQLOperation	select * from abstractVehicle left outer join car on abstractVehicle.id = car.id | {}
]]></system-out>
  </testcase>
  <testcase name="joinedTables_tablePerClass_isNotSupported" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportPolymorphismCompositionTest" time="0.004"/>
  <testcase name="singleTable_joinedTables" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportPolymorphismCompositionTest" time="0.023">
    <system-out><![CDATA[2026-05-19 05:31:22	DEBUG	DDLDeployer	create table AbstractVehicle(id int not null, model varchar(255), color int, DTYPE varchar(255) not null, unique (id))
2026-05-19 05:31:22	DEBUG	DDLDeployer	create table ElectricCar(plug integer, id int not null, unique (id))
2026-05-19 05:31:22	DEBUG	DDLDeployer	alter table ElectricCar add constraint FK_ElectricCar_id_AbstractVehicle_id foreign key(id) references AbstractVehicle(id)
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	insert into AbstractVehicle(model, color, id, DTYPE) values (?, ?, ?, ?) | {1={AbstractVehicle.color=Color[rgb=666], AbstractVehicle.DTYPE=CAR, AbstractVehicle.id=o.c.s.i.PersistableIdentifier@1, AbstractVehicle.model=Renault}}
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	insert into ElectricCar(plug, id) values (?, ?) | {1={ElectricCar.plug=CCS, ElectricCar.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:22	TRACE	SQLOperation	select * from abstractVehicle | {}
2026-05-19 05:31:22	DEBUG	SingleTablePolymorphismPersister	selecting entities [o.c.s.i.PersistableIdentifier@1]
2026-05-19 05:31:22	DEBUG	SingleTablePolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND AbstractVehicle.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	DEBUG	SingleTablePolymorphismEntityFinder	Single query was asked but due to sub-polymorphism the query is made in 2 phases
2026-05-19 05:31:22	DEBUG	SingleTablePolymorphismEntityFinder	Finding entities in 2-phases query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND AbstractVehicle.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select AbstractVehicle.id as AbstractVehicle_id, AbstractVehicle.DTYPE as DISCRIMINATOR from AbstractVehicle where AbstractVehicle.id in (?) | {1=o.c.s.i.PersistableIdentifier@1}
2026-05-19 05:31:22	DEBUG	SingleTablePolymorphismEntityFinder	Asking sub-polymorphic persisters to load the entities
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismPersister	selecting entities [o.c.s.i.PersistedIdentifier@1]
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND AbstractVehicle.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select AbstractVehicle.model as AbstractVehicle_model, AbstractVehicle.color as AbstractVehicle_color, AbstractVehicle.id as AbstractVehicle_id, ElectricCar.plug as ElectricCar_plug, ElectricCar.id as ElectricCar_id from AbstractVehicle left outer join ElectricCar as ElectricCar on AbstractVehicle.id = ElectricCar.id where AbstractVehicle.id in (?) | {1=o.c.s.i.PersistedIdentifier@1}
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinTableRootJoinNode$JoinTablePolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	JoinTableRootJoinNode$JoinTablePolymorphicJoinRootRowConsumer	Instantiating entity of type class org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportPolymorphismTest$ElectricCar
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.FluentEntityMappingConfigurationSupportPolymorphismTest$ElectricCar#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	update AbstractVehicle set model = ?, color = ? where id = ? | {1={AbstractVehicle.color (U)=Color[rgb=666], AbstractVehicle.id (W)=o.c.s.i.PersistedIdentifier@1, AbstractVehicle.model (U)=Peugeot}}
2026-05-19 05:31:22	TRACE	SQLOperation	select * from abstractVehicle | {}
2026-05-19 05:31:22	DEBUG	SingleTablePolymorphismPersister	selecting entities [o.c.s.i.PersistedIdentifier@1]
2026-05-19 05:31:22	DEBUG	SingleTablePolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND AbstractVehicle.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	DEBUG	SingleTablePolymorphismEntityFinder	Single query was asked but due to sub-polymorphism the query is made in 2 phases
2026-05-19 05:31:22	DEBUG	SingleTablePolymorphismEntityFinder	Finding entities in 2-phases query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND AbstractVehicle.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select AbstractVehicle.id as AbstractVehicle_id, AbstractVehicle.DTYPE as DISCRIMINATOR from AbstractVehicle where AbstractVehicle.id in (?) | {1=o.c.s.i.PersistedIdentifier@1}
2026-05-19 05:31:22	DEBUG	SingleTablePolymorphismEntityFinder	Asking sub-polymorphic persisters to load the entities
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismPersister	selecting entities [o.c.s.i.PersistedIdentifier@1]
2026-05-19 05:31:22	DEBUG	JoinTablePolymorphismEntityFinder	Finding entities in a single query with criteria o.c.s.e.r.q.EntityCriteriaSupportcriteria=[AND AbstractVehicle.id In], hasCollectionCriteria=false, parent=null
2026-05-19 05:31:22	TRACE	SQLOperation	select AbstractVehicle.model as AbstractVehicle_model, AbstractVehicle.color as AbstractVehicle_color, AbstractVehicle.id as AbstractVehicle_id, ElectricCar.plug as ElectricCar_plug, ElectricCar.id as ElectricCar_id from AbstractVehicle left outer join ElectricCar as ElectricCar on AbstractVehicle.id = ElectricCar.id where AbstractVehicle.id in (?) | {1=o.c.s.i.PersistedIdentifier@1}
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinTableRootJoinNode$JoinTablePolymorphicJoinRootRowConsumer
2026-05-19 05:31:22	DEBUG	JoinTableRootJoinNode$JoinTablePolymorphicJoinRootRowConsumer	Instantiating entity of type class org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportPolymorphismTest$ElectricCar
2026-05-19 05:31:22	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.MergeJoinNode$MergeJoinRowConsumer on object o.c.s.e.FluentEntityMappingConfigurationSupportPolymorphismTest$ElectricCar#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	delete from ElectricCar where id = ? | {1={ElectricCar.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:22	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:22	TRACE	SQLOperation	delete from AbstractVehicle where id = ? | {1={AbstractVehicle.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:22	TRACE	SQLOperation	select * from abstractVehicle | {}
]]></system-out>
  </testcase>
  <testcase name="singleTable_singleTable_isNotSupported" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportPolymorphismCompositionTest" time="0.004"/>
  <testcase name="singleTable_tablePerClass_isNotSupported" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportPolymorphismCompositionTest" time="0.003"/>
</testsuite>